On Thu, 12 Jul 2018 18:44:43 -0000, David Frank said:
> Hi,How do I enable the MAP_SYNC flag in mmap for linux 4.15, my code does not
> compile with that flag on linux 4.15.0-041500rc7-generic #201801072330

Get your distro to ship an update to /usr/include/linux  (kernel-headers) that
contains the flag.  Your kernel supports it, but your toolchain doesn't until
you get an include file that includes the update for MAP_SYNC

> Also, how do I make mmap support map size of 2GB or larger, currently the
> call to mmap fails with mapsize of 2GB.

What error code does it fail with?

Attachment: pgpMZLwLw0PuU.pgp
Description: PGP signature

_______________________________________________
Kernelnewbies mailing list
Kernelnewbies@kernelnewbies.org
https://lists.kernelnewbies.org/mailman/listinfo/kernelnewbies

Reply via email to